Package org.postgresql.util

# Class OSUtil

java.lang.Object
org.postgresql.util.OSUtil

public class OSUtil extends Object
Operating system specifics

## Constructor Summary

Constructors
Constructor
Description
`OSUtil()`

## Method Summary

Modifier and Type
Method
Description
`static String`
`getUserConfigRootDirectory()`
`static boolean`
`isWindows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OSUtil

public OSUtil()

## Method Details

### isWindows

public static boolean isWindows()

Returns:
  true if OS is windows

### getUserConfigRootDirectory

public static String getUserConfigRootDirectory()

Returns:
  OS specific root directory for user specific configurations